Inspect installations
curl --request GET \
--url https://galinum.com/api/v1/installations \
--header 'Authorization: Bearer <token>'import requests
url = "https://galinum.com/api/v1/installations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://galinum.com/api/v1/installations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://galinum.com/api/v1/installations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://galinum.com/api/v1/installations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://galinum.com/api/v1/installations")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://galinum.com/api/v1/installations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"installations": [
{
"id": "<string>",
"appId": "<string>",
"platform": "ios",
"environment": "development",
"userId": "<string>",
"bindingGeneration": 4503599627370495,
"revision": 4503599627370495,
"tokenRevision": 4503599627370495,
"hasToken": true,
"permission": "unknown",
"consent": true,
"capabilities": {
"actions": [
"<string>"
],
"channels": [
"<string>"
],
"richImages": true,
"categories": [
{
"id": "<string>",
"actions": [
{
"id": "<string>",
"title": "<string>"
}
]
}
]
},
"lastActiveAt": 1,
"createdAt": 4503599627370495
}
],
"page": 2,
"perPage": 2,
"total": 4503599627370495
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Installations
Inspect installations
GET
/
api
/
v1
/
installations
Inspect installations
curl --request GET \
--url https://galinum.com/api/v1/installations \
--header 'Authorization: Bearer <token>'import requests
url = "https://galinum.com/api/v1/installations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://galinum.com/api/v1/installations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://galinum.com/api/v1/installations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://galinum.com/api/v1/installations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://galinum.com/api/v1/installations")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://galinum.com/api/v1/installations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"installations": [
{
"id": "<string>",
"appId": "<string>",
"platform": "ios",
"environment": "development",
"userId": "<string>",
"bindingGeneration": 4503599627370495,
"revision": 4503599627370495,
"tokenRevision": 4503599627370495,
"hasToken": true,
"permission": "unknown",
"consent": true,
"capabilities": {
"actions": [
"<string>"
],
"channels": [
"<string>"
],
"richImages": true,
"categories": [
{
"id": "<string>",
"actions": [
{
"id": "<string>",
"title": "<string>"
}
]
}
]
},
"lastActiveAt": 1,
"createdAt": 4503599627370495
}
],
"page": 2,
"perPage": 2,
"total": 4503599627370495
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Your project's secret key (pk_…, without the pub segment). Server-side only — never ship it to a browser. Get it from Settings → Projects in the dashboard.
Query Parameters
Required string length:
1 - 256Required range:
x >= 1Required range:
1 <= x <= 100